syntax = "proto3";
option go_package = ".;pb";

message CacheUser {
  string uid = 1;
  string SessionId = 2;
  string GatewayServiceId = 3;
  string ip = 4;
  // DB_UserData UserData = 4; //@go_tags(`json:",inline"`)
}

message DBUser {
  string id = 1;       //@go_tags(`bson:"_id"`) ID
  string uid = 2;      //@go_tags(`bson:"uid"`) 用户ID
  string uuid = 3;     //@go_tags(`bson:"uuid"`) 玩家唯一uuid
  string binduid = 4;  //@go_tags(`bson:"binduid"`) 玩家账号
  string name = 5;     //@go_tags(`bson:"name"`) 玩家名
  int32 sid = 6;       //@go_tags(`bson:"sid"`) 区服id
  string createip = 7; //@go_tags(`bson:"createip"`) 创建账号时的ip
  string lastloginip = 8; //@go_tags(`bson:"lastloginip"`) 最后一次登录时的ip
  int64 ctime = 9;        //@go_tags(`bson:"ctime"`) 玩家创号时间戳
  int64 logintime = 10; //@go_tags(`bson:"logintime"`) 最后一次登录时间
  int32 friendPoint = 11; //@go_tags(`bson:"friendPoint"`) 友情点
  int32 avatar = 12;      //@go_tags(`bson:"avatar"`) 头像
  int32 gold = 13;        //@go_tags(`bson:"gold"`) 金币
  int32 exp = 14;         //@go_tags(`bson:"exp"`) 经验
  bool created = 15;      //@go_tags(`bson:"created"`) 创角
  int32 lv = 16;          //@go_tags(`bson:"lv"`) 等级
  int32 vip = 17;         //@go_tags(`bson:"vip"`)  vip
  int32 diamond = 18;     //@go_tags(`bson:"diamond"`)  钻石
}